*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --light-grey: #f5f6f7;
    --dark-blue: #1b1b32;
    --orange: #f1be32;
}

body {
    background-color: var(--dark-blue);
    font-family: "Times New Roman", Times, serif;
    font-size: 18px;
    color: var(--light-grey);
    padding: 0 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    text-align: center;
    font-size: 2.3rem;
    margin: 20px 0;
}

.input-container {
    margin: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.convert-btn {
    background-color: var(--orange);
    cursor: pointer;
    border: none;
    padding: 4px;
}

.number-input {
    height: 25px;
}

#output {
    margin: 10px 0;
    min-width: 200px;
    width: fit-content;
    min-height: 80px;
    word-break: break-word;
    padding: 15px;
    border: 5px solid var(--orange);
    font-size: 2rem;
    text-align: center;
}

#animation-container {
    margin: auto;
    max-width: 300px;
}

.animation-frame {
    margin: 250px auto 0;
    padding: 15px 10px;
    border: 5px solid var(--orange);
    font-size: 1.2rem;
    text-align: center;
}

@media screen and (min-width: 500px) {
    .input-container {
        flex-direction: row;
    }

    #result {
        max-width: 460px;
    }
}